<?php if(!function_exists('is_admin') || !is_admin()) die(); ?>

<div>
<h2>Delete City Options</h2>
<?php if($pid): ?>
<p style="color: #FF0000;">WARNING:  The caching process is currently running.  Saving options now will restart it.</p>
<?php endif; ?>
<form method="post" action="">

	<h2>Cache</h2>
	<blockquote style="padding-left: 30px; margin-bottom: 20px; border-left: 1px solid #CCCCCC;">
		Directory: <input name="dc-cache-dir" type="text" value="<?php echo get_option('dc_cache_dir'); ?>"  style="width: 500px;" disabled /><br />
		Max Size: <input name="dc-max-cache-size" type="text" value="<?php echo get_option('dc_max_cache_size'); ?>"  style="width: 80px;" /> MB<br />
		Max Age: <input name="dc-max-age" type="text" value="<?php echo get_option('dc_max_age'); ?>"  style="width: 80px;" /> days (videos "expire" after this many days)<br />
		Rate Limit: <input name="dc-rate-limit" type="text" value="<?php echo get_option('dc_rate_limit'); ?>"  style="width: 80px;" /> (e.g. 50k, 44.6m, etc.)
		<h3>Frequency</h3>
		<p>How often should DeleteCity download videos from the sources?</p>
		<ul>
		<?php foreach($schedules as $slug => $schedule): ?>
		<li>
			<?php $checked = (get_option('dc_cache_schedule')==$slug) ? 'checked' : ''; ?>
			<input type="radio" name="dc-cache-schedule" value="<?php echo $slug; ?>" <?php echo $checked; ?> /> 
			<?php echo $schedule['display']; ?>
		</li>
		<?php endforeach; ?>
		</ul>
		
		
		<h3>Standard Sources</h3>
		<ul>
			<?php foreach($this->default_sources as $name => $url):?>
			<?php $c = in_array($url, get_option('dc_sources')) ? 'checked' : ""; ?>
			<li><input type="checkbox" name="dc-sources[]" value="<?php echo $url; ?>" <?php echo $c; ?> /> <?php echo $name; ?></li>
			<?php endforeach; ?>		
		</ul>
		
		<h3>Keywords</h3>
		<textarea name="dc-keywords" style="width: 90%; height: 60px;"><?php echo get_option('dc_keywords'); ?></textarea>


		<h3>Blacklist</h3>
		<p>Videos containing these words in title or description will be skipped.</p>
		<textarea name="dc-blacklist" style="width: 90%; height: 60px;"><?php echo implode(", ", get_option('dc_blacklist')); ?></textarea>
	</blockquote>

	<h2>Posts</h2>
	<blockquote style="padding-left: 30px; margin-bottom: 20px; border-left: 1px solid #CCCCCC;">
		<h3>Frequency</h3>
		<p>How often should DeleteCity post the videos it finds to your blog?</p>
		<ul>
		<!--<li><input type="radio" name="dc-post-schedule" value="never" <?php if(get_option('dc_post_schedule')=='never') echo "checked"; ?> /> Never</li>-->
		<?php foreach($schedules as $slug => $schedule): ?>
		<li>
			<?php $checked = (get_option('dc_post_schedule')==$slug) ? 'checked' : ''; ?>
			<input type="radio" name="dc-post-schedule" value="<?php echo $slug; ?>" <?php echo $checked; ?> /> 
			<?php echo $schedule['display']; ?>
		</li>
		<?php endforeach; ?>
		</ul>
		
		<h3>Category</h3>
		<p>Which category should DeleteCity posts belong to?</p>
		<select name="dc-category"> 
			<option value=""><?php echo attribute_escape(__('Select Category')); ?></option> 
			<?php foreach($categories as $category): ?>
				<?php if( $category->cat_ID == get_option('dc_cat') ): ?>
					<option value="<?php echo $category->cat_ID; ?>" selected><?php echo $category->cat_name; ?></option>
				<?php else: ?>
					<option value="<?php echo $category->cat_ID; ?>"><?php echo $category->cat_name; ?></option>
				<?php endif; ?>
			<?php endforeach; ?>
		</select>
		
		<h3>Title Format</h3>
		<input name="dc-post-title-format" type="text" value="<?php echo get_option('dc_post_title_format'); ?>"  style="width: 95%;" />
		<p style="font-size: x-small;">[date] will be replaced with the current date.</p>
	</blockquote>
	
	<h2>Database</h2>
	<blockquote style="padding-left: 30px; margin-bottom: 20px; border-left: 1px solid #CCCCCC;">
		<h3>Local</h3> 
			<p><?php echo get_option("dc_videos_table"); ?> v<?php echo get_option("dc_db_version"); ?></p>
		<h3>Remote</h3>
		<p>Do you want to notify <a href="http://www.deletecity.com" target="_blank">deletecity.com</a> when you find deleted videos? The videos you find will be made available for anyone who wants to access deleted videos for any purpose.</p>
		<input type="radio" name="dc-share" value="1" <?php echo (get_option('dc_share')==1) ? "checked" : ""; ?> /> Yes
		<input type="radio" name="dc-share" value="0" <?php echo (get_option('dc_share')==0) ? "checked" : ""; ?> /> No
	</blockquote>
	<p>
		<input type="hidden" name="action" value="save_options" />
		<input type="hidden" name="dc_do_action" value="true" />
		<input type="submit" value="<?php _e('Save Changes') ?>" />
	</p>
</form>

<form method="post" action="">
	<input type="hidden" name="action" value="restore_defaults" />
	<input type="hidden" name="dc_do_action" value="true" />
	<input type="submit" value="<?php _e('Restore Defaults') ?>" />
</form>	


</div>