<?php if(!function_exists('is_admin') || !is_admin()) die(); ?>


<div style="padding-bottom: 40px;";>
	<h2>Delete City Status</h2>

	<div style="width: 95%; height: 20px;">
		<div style="float: left;" id="runcache_status"></div>
		<div style="float: right; padding-right: 6px; padding-top: 10px;">
			<a href="<?php echo $logfile_url; ?>" target="_blank"><img src="<?php echo $this->plugin_url; ?>gs/pop-out-arrow.gif" /></a>
		</div>
	</div>

	<textarea readonly id="runcache_log" style="width: 95%; height: 150px;"></textarea>

	<p>
	<form method="post" action="">
		<button id="stopcache_button" 	name="action" value="stopcache" 	type="submit">Stop Cache</button>
		<button id="runcache_button" 	name="action" value="runcache" 		type="submit">Run Cache Now</button>
		<button id="postvideos_button" 	name="action" value="post_videos" 	type="submit">Post Now</button>
		<input type="hidden" name="dc_do_action" value="true" /> 
		Next post in 
		<?php
		$time = wp_next_scheduled('post_videos_function_hook')-time();
		$seconds = $time % 60;
		$mins = floor($time/60) % 60;
		$hours = floor($time/60/60) % 24;
		$days = floor($time/60/60/24);
		
		$parts = array();
		if($days) $parts[] = 	"{$days} days";
		if($hours) $parts[] = 	"{$hours} hours";
		if($mins) $parts[] = 	"{$mins} minutes";
		if($seconds) $parts[] = "{$seconds} seconds";
		echo implode(", ", $parts);
		?>
	</form>
	</p>
	
	<h2>Videos</h2>
	<p>
		Filter: 
		<select id="dc_filter" name="filter">
			<option value="">All Videos</option>
			<optgroup label="Video Status">
				<option value="cached">All Cached Videos</option>
				<option value="posted">All Posted Videos</option>
				<option value="removed">All Deleted Videos</option>
				<option value="expired">All Expired Videos</option>
			</optgroup>
			<optgroup label="Source Feed">
		<?php foreach(Video::get_all_feeds() as $feed): if($feed) ?>
				<option value="<?php echo $feed; ?>"><?php echo str_replace("http://gdata.youtube.com/feeds/api", "", $feed); ?></option>
		<?php endforeach; ?>
			</optgroup>
		</select>
		<img id="filter_spinner" src="<?php echo $this->plugin_url; ?>gs/ajax-loader.gif" />
	</p>
	
	<div id="videos" style="width: 95%;"></div>				
	<div id="video-player"></div>
	

	<script type="text/javascript">
	var current_page = 0;
	var window_focus;
	var $dc = jQuery.noConflict();
	$dc.ajaxSetup({cache:false});

	// Ugly hack to deal with the requestAnimationFrame issue
	// described under "Additional Notes" here: http://api.jquery.com/fadeOut/
	// Basically, we only want to do animations if the window has focus
	$dc(window).focus(function() {
		window_focus = true;
	}).blur(function() {
		window_focus = false;
	});


	// Refresh the videos when the filter dropdown is clicked 
	$dc('#dc_filter').change(function(){
		current_page = 0;
		dc_get_videos(false);
	});
	
	
	// Refresh the status page
	function dc_get_status(repeat)
	{
		$dc.get(ajaxurl,{'action':'dc_get_status'},function(response){
			if(response.pid) // this means the cache script is running
			{
				$dc("#runcache_button").hide();
				$dc("#stopcache_button").show();
			}
			else
			{
				$dc("#runcache_button").show();
				$dc("#stopcache_button").hide();
			}
			$dc("#runcache_status").html(response.status);
			$dc("#runcache_log").val(response.log);
			$dc("#runcache_log").scrollTop( $dc("#runcache_log")[0].scrollHeight );
			
			// Set the time for the next refresh
			if(repeat) setTimeout('dc_get_status(true)', 2500);
		},'json').error(function(jqXHR, textStatus, errorThrown) { 
			console.log(textStatus);
		});
	}
	
	// Load the videos page
	function dc_get_videos(repeat)
	{
		if(window_focus) $dc("#filter_spinner").fadeIn('fast');
		var data={action:'dc_get_vids',dc_page:current_page,dc_filter:$dc('#dc_filter').val()};
		$dc("#videos").load(ajaxurl, data, function(){
			if($dc("#filter_spinner").is(":visible")) $dc("#filter_spinner").fadeOut('fast');
			if(repeat) setTimeout('dc_get_videos(true)', 10000);
		});
	}
	
	// Called from the pagination 
	function dc_set_page(new_page)
	{
		current_page = new_page;
		dc_get_videos(false);
	}
	
	// Called from the videos page
	function dc_delete_video(id)
	{
		var filter = $dc('#dc_filter').val();
		var data = {action: 'dc_get_vids', dc_page: current_page, dc_filter: filter, dc_delete: id};
		$dc("#videos").load(ajaxurl, data);
	}
	
	//Brings up a dialog box with a jwplayer
	function dc_show_video(id)
	{
		var data = {action: 'dc_load_player', youtube_id: id};
		$dc("#video-player").load(ajaxurl, data, function(result) {
			$dc("#video-player").dialog({width: 680, height:530, modal: true});
		});
	}
	
	
	dc_get_status(true);
	dc_get_videos(true);
	
	</script>
</div>